<template>
  <div>
    <button-back />
    <h1>{{ goal.title }}</h1>
    <p>{{ goal.description }}</p>

    <objective-list
      v-for="objective in goal.objectives"
      :key="Math.random()"
      :objective="objective"
    />

  </div>
</template>

<script lang="ts">
  import Vue from 'vue'
  import { Goal } from '~/utils/models'
  import { vxm } from '~/store/store'
  import ObjectiveList from '~/components/ObjectiveList'

  export default Vue.extend({
    components: {
      ObjectiveList
    },

    data () {
      const goal: Goal | undefined = vxm.goals.findByTitle(this.$route.params.id)
      return {
        goal
      }
    },
  })
</script>
